<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware) {
        // Global middleware (jalan di semua request)
        // $middleware->append(\App\Http\Middleware\YourGlobalMiddleware::class);
        
        // Route middleware (alias)
        $middleware->alias([
            'role' => \App\Http\Middleware\RoleMiddleware::class,
            'permission' => \App\Http\Middleware\CheckPermission::class,
        ]);
        
        // Group middleware
        // $middleware->group('admin', [
        //     'auth',
        //     'role:super_admin,admin_hr',
        // ]);
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();